# locale_gen – Creates or removes locales

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manages locales by editing /etc/locale.gen and invoking locale-gen.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name and encoding of the locale, such as "en_GB.UTF-8".

state
-

Choices:
- absent
- present ←

Whether the locale shall be present.

## Examples

    - name: Ensure a locale exists
      locale_gen:
        name: de_CH.UTF-8
        state: present

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Augustus Kling (@AugustusKling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.